import './intro.scss';
import {createElement} from "../../_global/scripts/helpers";

export const createIntro =
  ({
    kicker = 'Gas & Strom',
    headline = 'Energiekrise',
    copy = 'Der <a href="/stade/international/ukraine-krise" target="_self">Konflikt zwischen der Ukraine und Russland</a> hat unter anderem zu beiderseitigen&nbsp;Sanktionen geführt. Diese haben auch erhebliche Auswirkungen auf den Energiemarkt und die Verfügbarkeit von Energieträgern wie Öl und Gas. Dadurch kommt es zu Engpässen und in der Folge auch zu steigenden Preisen. Für Verbraucher&nbsp;und Unternehmer ist die Lage schwierig zu überblicken. Was kommt auf uns zu? Was kann man tun? Wo gibt es Hilfe? Wir geben einen Überblick.',
    capitalInitial = false,
  }) => {
    const section = createElement('section', ['intro'], null);
    const container = createElement('div', ['container', 'small'], null, section);
    if (kicker && kicker.length > 0) {
      createElement('span', ['kicker'], kicker, container);
    }
    createElement('h1', [], headline, container);

    const richText = createElement('div', ['richtext'], null, container);
    const detailText = createElement('div', ['detail-text'], null, richText);
    createElement('div', capitalInitial ? ['text', 'initial'] : ['text'], copy, detailText);

    return section;
  }